Bug 113991 - menu highlight white
menu highlight white
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-20 18:19 EST by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 14:14:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-01-20 18:19:46 EST
After upgrading to 1.1.0-20, the menu highlight in OOo Writer at least
appears to now be a white that washes out the colors of the text in
the menu.  Using stock Bluecurve for my theme.  If you want to see,
just drop by tomorrow.
Comment 1 Dan Williams 2004-01-20 22:07:17 EST
I talked to Meeks about this today, and he said that the patch pulls
the highlight color from the "prelight" color of the current theme,
which he seemed to think Bluecurve was not properly setting for Menus
or something.  I'll look into it.
Comment 2 Dan Williams 2004-01-21 10:09:13 EST
This problem should be fixed in 1.1.0-22 later today.  Issue was the
specific color tags used, Meeks had done:

bg[GTK_STATE_PRELIGHT]
fg[GTK_STATE_PRELIGHT]

which looks bad.  The correct ones should be:

bg[GTK_STATE_SELECTED]
text[GTK_STATE_SELECTED]

Dan
Comment 3 Jeremy Katz 2004-01-21 14:14:11 EST
The binary you sent me works, so looks good.

Note You need to log in before you can comment on or make changes to this bug.